﻿@model IEnumerable<eCommerce.Services.Model.PromotionalText>
@{
    ViewBag.Title = "Configuraciónes";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<style>
    .note-editor .note-editable {
        height: 120px !important;
    }
</style>
<div class="page-header">
    <h1 class="page-title">Texto Promocional</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("PromotionalText", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        foreach (var item in Model)
                        {
                            <div class="form-group">
                                <label class="col-sm-1 control-label">@item.DisplayName</label>
                                <div class="col-sm-1">
                                    <div class="checkbox-custom checkbox-primary">
                                        <input type="checkbox" name="active_@item.PromotionalTextId" id="active_@item.PromotionalTextId" class="js-switch" data-plugin="switchery" data-size="small" @(item.Active ? "checked=\"checked\"" : "") data-switchery="true">
                                    </div>
                                </div>
                                <div class="col-sm-9 @(!item.Active ? "hidden" : "" )" id="promtext-@item.PromotionalTextId">
                                    <div class="input-group">
                                        <br />
                                        <div id="summernote-@item.PromotionalTextId" class="js-summernote" name="summernote-@item.PromotionalTextId">
                                            @Html.Raw(item.Text)
                                        </div>
                                        <input type="hidden" name="hidHtml_@item.PromotionalTextId" class="js-hidHtml" id="hidHtml_@item.PromotionalTextId" />
                                    </div>
                                </div>
                                
                            </div>
                            <div class="form-group">
                                <label class="col-sm-1 control-label">Color de fondo</label>
                                <div class="col-sm-2">
                                    <input type="color" name="color_@item.PromotionalTextId" id="color_@item.PromotionalTextId" value="@item.BackgroundColor">
                                </div>
                                <input type="hidden" name="hidHtmlColor_@item.PromotionalTextId" id="hidColor_@item.PromotionalTextId"/>
                            </div>
                        }

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="save()">Grabar</button>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        //$('#summernote').summernote({
        //});

        $('.js-summernote').each(function () {
            //var id = $(this).attr('id').split('-')[1];
            //var htmlText = encodeURIComponent($(this).summernote('code'));
            //$('#hidHtml_' + id).val(htmlText);
            $(this).summernote();
        });

        $("[id^=color_]").change(function () {

            debugger;

            var elem = $(this);
            var id = elem.attr('id').split('_')[1];

            $('#hidColor_' + id).val(elem.val());

        });

        var save = function () {
            $('.js-summernote').each(function () {
                debugger;
                var id = $(this).attr('id').split('-')[1];
                var htmlText = encodeURIComponent($(this).summernote('code'));
                $('#hidHtml_' + id).val(htmlText);
            });
            $("#btnSave").click();
        };  

        $('.js-switch').change(function () {
            var checked = $(this).is(':checked');
            var id = $(this).attr('id').split('_')[1];
            $('#promtext-' + id).toggleClass('hidden', !checked);
        });

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    ExchangeRate: {
                        validators: {
                            notEmpty: {
                                message: 'El campo es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}


